ToOneIdMapper (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation
Class ToOneIdMapper

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
          org.hibernate.envers.entities.mapper.relation.ToOneIdMapper

All Implemented Interfaces:
  PropertyMapper

    public class ToOneIdMapper

extends AbstractToOneMapper

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
`AbstractToOneMapper.EntityInfo`

Constructor Summary
`ToOneIdMapper(IdMapper delegate, PropertyData propertyData, String referencedEntityName, boolean nonInsertableFake)`

Method Summary
`protected boolean` | `checkModified(SessionImplementor session, Object newObj, Object oldObj)`
`void` | `mapModifiedFlagsToMapForCollectionChange(String collectionPropertyName, Map<String,Object> data)`
`void` | `mapModifiedFlagsToMapFromEntity(SessionImplementor session, Map<String,Object> data, Object newObj, Object oldObj)`
`boolean` | `mapToMapFromEntity(SessionImplementor session, Map<String,Object> data, Object newObj, Object oldObj)` Maps properties to the given map, basing on differences between properties of new and old objects.
`void` | `nullSafeMapToEntityFromMap(AuditConfiguration verCfg, Object obj, Map data, Object primaryKey, AuditReaderImplementor versionsReader, Number revision)` Parameter `obj` is never `null`.

Methods inherited from class org.hibernate.envers.entities.mapper.relation.AbstractToOneMapper
`getEntityInfo, getPropertyData, mapCollectionChanges, mapToEntityFromMap, setPropertyValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToOneIdMapper

    public ToOneIdMapper(IdMapper delegate,
                         PropertyData propertyData,
                         String referencedEntityName,
                         boolean nonInsertableFake)

Method Detail

### mapToMapFromEntity

    public boolean mapToMapFromEntity(SessionImplementor session,
                                      Map<String,Object> data,
                                      Object newObj,
                                      Object oldObj)

  Description copied from interface: `PropertyMapper`
  Maps properties to the given map, basing on differences between properties of new and old objects.

  Specified by:
    `mapToMapFromEntity` in interface `PropertyMapper`
  Overrides:
    `mapToMapFromEntity` in class `AbstractToOneMapper`
  Parameters:
    `session` - The current session.
    `data` - Data to map to.
    `newObj` - New state of the entity.
    `oldObj` - Old state of the entity.
  Returns:
    True if there are any differences between the states represented by newObj and oldObj.

### mapModifiedFlagsToMapFromEntity

    public void mapModifiedFlagsToMapFromEntity(SessionImplementor session,
                                                Map<String,Object> data,
                                                Object newObj,
                                                Object oldObj)

### mapModifiedFlagsToMapForCollectionChange

    public void mapModifiedFlagsToMapForCollectionChange(String collectionPropertyName,
                                                         Map<String,Object> data)

### checkModified

    protected boolean checkModified(SessionImplementor session,
                                    Object newObj,
                                    Object oldObj)

### nullSafeMapToEntityFromMap

    public void nullSafeMapToEntityFromMap(AuditConfiguration verCfg,
                                           Object obj,
                                           Map data,
                                           Object primaryKey,
                                           AuditReaderImplementor versionsReader,
                                           Number revision)

  Description copied from class: `AbstractToOneMapper`
  Parameter `obj` is never `null`.

  Specified by:
    `nullSafeMapToEntityFromMap` in class `AbstractToOneMapper`
  See Also:
    `PropertyMapper.mapToEntityFromMap(AuditConfiguration, Object, Map, Object, AuditReaderImplementor, Number)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.